Skip to content

Data Manager API ​

POST Update Data ​

This request updates a specific record in a table.

Resource URL ​

https://www.mapquestapi.com/datamanager/v2/update-data

Resource Information ​

Response FormatsJSON, XML
AuthenticationYes (Requires Key)
Rate LimitedYes

Request Parameters ​

Request ParameterDescriptionRequired
key
String
A unique key to authorize use of the API.Yes
inFormat
String
Specifies the format of the json/xml parameter. Must be one of the following, if supplied:
  • json
  • xml
Default = json
No
outFormat
String
Specifies the format of the response. Must be one of the following, if supplied:
  • json
  • xml
Default = json
No

Body Parameters ​

NameDescriptionRequired
clientId
String
This is the ClientID associated with the API Key.Yes
password
String
This is the registry password associated with the API Key.Yes
tableName
String
This is the complete name of the table.
Table names for legacy users are prefixed with mqap.CLIENT_ID_
Table names for new users are prefixed with mqap.APPLICATION_KEY_
Yes
mqap_id
String
This is the ID of the record to delete. Example: ffde43e8-77b4-40f8-a61a-cf99e1cb242fYes (if mqap_ids is not provided)
fields
String[]
This is the name of the field(s) and new value(s).Yes
ambiguities
String
This parameter allows Data Manager to inform the user when it has encountered ambiguous geocoding results during the geocoding process.

Example: ambiguities = check, The default value is check.

ambiguities = ignore, Data Manager will ignore geocoding ambiguities.
No

Example Request ​

POST https://www.mapquestapi.com/datamanager/v2/update-data?key=KEY&inFormat=json

Example Request Body ​

JSON
{
    "clientId": "CLIENT_ID",
    "password": "REGISTRY_PASSWORD",
    "tableName": "mqap.TABLENAME",
    "mqap_id": "MQAP_ID",
    "fields": [
        {
            "name": "FIELD",
            "value": "VALUE"
        },
        ...
    ]
}
XML
<datamanager>
    <clientId>CLIENT_ID</clientId>
    <password>REGISTRY_PASSWORD</password>
    <tableName>mqap.TABLENAME</tableName>
    <mqap_id>MQAP_ID</mqap_id>
    <fields>
        <field>
            <name>name</name>
            <value>value</value>
        </field>
        ...
    </fields>
</datamanager>

Example Response ​

JSON
{
    "tableName": "mqap.TABLENAME",
    "row": {
        "name": "value"
    }
}
XML
<datamanager>
    <tableName>mqap.TABLENAME</tableName>
    <row>
        <name>...</name>
        <value>...</value>
    </row>
</datamanager>